//Copyright (C)2014-2021 GOWIN Semiconductor Corporation.
//All rights reserved.
//File Title: Timing Constraints file
//GOWIN Version: 1.9.7.06 Beta
//Created Time: 2021-11-04 15:53:59
create_clock -name mii_rx1 -period 40 -waveform {0 12.5} [get_ports {mii_rx_clk_1}]
create_clock -name mii_rx0 -period 40 -waveform {0 12.5} [get_ports {mii_rx_clk_0}]
create_clock -name esc_sysclk -period 10 -waveform {0 5} [get_nets {clk100}]
create_clock -name clkin -period 40 -waveform {0 20} [get_ports {clk25}]
create_clock -name mcu_sysclk -period 12.5 -waveform {0 6.25} [get_nets {MCU_CLK}]
set_clock_groups -asynchronous -group [get_clocks {esc_sysclk}] -group [get_clocks {mii_rx0}] -group [get_clocks {mii_rx1}]
set_clock_groups -asynchronous -group [get_clocks {esc_sysclk}] -group [get_clocks {mcu_sysclk}]
set_clock_groups -asynchronous -group [get_clocks {clkin}] -group [get_clocks {mcu_sysclk}]
//report_timing -setup -max_paths 500 -max_common_paths 500
//report_timing -setup -from_clock [get_clocks {esc_sysclk}] -max_paths 25 -max_common_paths 1
