//Copyright (C)2014-2023 Gowin Semiconductor Corporation.
//All rights reserved.
//File Title: Template file for instantiation
//GOWIN Version: V1.9.8.11
//Part Number: GW2A-LV55PG484C8/I7
//Device: GW2A-55
//Device Version: C
//Created Time: Fri Mar 31 16:00:57 2023

//Change the instance name and port connections to the signal names
//--------Copy here to design--------

	IES_Top your_instance_name(
		.clk100(clk100_i), //input clk100
		.reset_n(reset_n_i), //input reset_n
		.mii_link_0(mii_link_0_i), //input mii_link_0
		.mii_rx_clk_0(mii_rx_clk_0_i), //input mii_rx_clk_0
		.mii_rx_dv_0(mii_rx_dv_0_i), //input mii_rx_dv_0
		.mii_rx_data_0(mii_rx_data_0_i), //input [3:0] mii_rx_data_0
		.mii_rx_err_0(mii_rx_err_0_i), //input mii_rx_err_0
		.mii_tx_en_0(mii_tx_en_0_o), //output mii_tx_en_0
		.mii_tx_data_0(mii_tx_data_0_o), //output [3:0] mii_tx_data_0
		.mii_tx_shift_0(mii_tx_shift_0_i), //input [1:0] mii_tx_shift_0
		.linkack_led_0(linkack_led_0_o), //output linkack_led_0
		.mii_link_1(mii_link_1_i), //input mii_link_1
		.mii_rx_clk_1(mii_rx_clk_1_i), //input mii_rx_clk_1
		.mii_rx_dv_1(mii_rx_dv_1_i), //input mii_rx_dv_1
		.mii_rx_data_1(mii_rx_data_1_i), //input [3:0] mii_rx_data_1
		.mii_rx_err_1(mii_rx_err_1_i), //input mii_rx_err_1
		.mii_tx_en_1(mii_tx_en_1_o), //output mii_tx_en_1
		.mii_tx_data_1(mii_tx_data_1_o), //output [3:0] mii_tx_data_1
		.mii_tx_shift_1(mii_tx_shift_1_i), //input [1:0] mii_tx_shift_1
		.linkack_led_1(linkack_led_1_o), //output linkack_led_1
		.mdc(mdc_o), //output mdc
		.mdi(mdi_i), //input mdi
		.mdo(mdo_o), //output mdo
		.mdoen(mdoen_o), //output mdoen
		.phy_offset_vec(phy_offset_vec_i), //input [4:0] phy_offset_vec
		.prom_clk(prom_clk_o), //output prom_clk
		.prom_data_in(prom_data_in_i), //input prom_data_in
		.prom_data_out(prom_data_out_o), //output prom_data_out
		.prom_data_oen(prom_data_oen_o), //output prom_data_oen
		.prom_size(prom_size_i), //input prom_size
		.prom_loaded(prom_loaded_o), //output prom_loaded
		.HCLK(HCLK_i), //input HCLK
		.HRESETn(HRESETn_i), //input HRESETn
		.HADDR(HADDR_i), //input [15:0] HADDR
		.HTRANS(HTRANS_i), //input [1:0] HTRANS
		.HWRITE(HWRITE_i), //input HWRITE
		.HSIZE(HSIZE_i), //input [2:0] HSIZE
		.HBURST(HBURST_i), //input [2:0] HBURST
		.HWDATA(HWDATA_i), //input [31:0] HWDATA
		.HSEL(HSEL_i), //input HSEL
		.HRDATA(HRDATA_o), //output [31:0] HRDATA
		.HREADY(HREADY_o), //output HREADY
		.HRESP(HRESP_o), //output [1:0] HRESP
		.irq(irq_o), //output irq
		.pdi_emulation(pdi_emulation_i), //input pdi_emulation
		.sync0(sync0_o), //output sync0
		.sync1(sync1_o), //output sync1
		.latch0(latch0_i), //input latch0
		.latch1(latch1_i), //input latch1
		.run_led(run_led_o) //output run_led
	);

//--------Copy end-------------------
